%define major 2
%define libname %mklibname osip %major

Summary:	oSIP is an implementation of SIP - rfc2543
Name:		libosip2
Version: 	2.2.2
Release: 	%mkrel 1
License: 	LGPL
Group:		System/Libraries
URL: 		http://savannah.gnu.org/projects/osip/
Source0:	http://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.

%if "%{_lib}" != "lib"
%package -n	%{libname}
Summary:	oSIP is an implementation of SIP - rfc2543
Group:		System/Libraries 

%description -n	%{libname}
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.
%endif

%package -n	%{libname}-devel
Summary:	Header file required to build programs using liboSIP
Group:		System/Libraries 
Requires:	%{libname} = %{version}
Provides:	libosip-devel

%description -n	%{libname}-devel
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.

oSIP development libraries (for Open SIP). Needed to build
applications such as Linphone

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
	--enable-pthread \
	--enable-md5
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

mv %{buildroot}%{_mandir}/man1/osip.1 %{buildroot}%{_mandir}/man1/osip2.1

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/osip2
%{_includedir}/osipparser2
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Dec 03 2005 Austin Acton <austin@mandriva.org> 2.2.2-1mdk
- New release 2.2.2

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.0-3mdk
- make it lib64 friendly

* Tue Mar 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.2.0-2mdk
- final 2.2.0

* Wed Feb 9 2005 Austin Acton <austin@mandrake.org> 2.2.0-1mdk
- 2.2.0
- fix source URL
- remove build hacks

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.9-2mdk
- fix man page file clash

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9
- used the libosip spec file 

* Tue Sep 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-5mdk
- back

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-4mdk
- 0.9.7

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.7-3mdk
- rebuild

* Mon May 26 2003 Austin Acton <aacton@yorku.ca> 0.9.7-2mdk
- distlint (DIRM)

* Sun May 25 2003 Austin Acton <aacton@yorku.ca> 0.9.7-1mdk
- 0.9.7

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 0.9.6-1mdk
- 0.9.6

* Tue Dec 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-1mdk
- from Austin Acton <aacton@yorku.ca> : 
	- 0.9.0
	- add manpage

* Thu Aug 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.8-1mdk
- new version

* Thu Jun 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Tue Feb 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8

* Tue Oct 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- new
